# Uses of Class
org.eclipse.jdt.core.manipulation.SharedASTProviderCore.WAIT_FLAG

Packages that use SharedASTProviderCore.WAIT_FLAG
Package
Description
org.eclipse.jdt.core.manipulation
Application programming interface for the JDT core manipulation plug-in class.

## Uses of SharedASTProviderCore.WAIT_FLAG in org.eclipse.jdt.core.manipulation

Fields in org.eclipse.jdt.core.manipulation declared as SharedASTProviderCore.WAIT_FLAG
Modifier and Type
Field
Description
`static final SharedASTProviderCore.WAIT_FLAG`
SharedASTProviderCore.`WAIT_ACTIVE_ONLY`
Wait flag indicating that a client requesting an AST only wants to wait for the shared AST of the active editor.
`static final SharedASTProviderCore.WAIT_FLAG`
SharedASTProviderCore.`WAIT_NO`
Wait flag indicating that a client requesting an AST only wants the already available shared AST.
`static final SharedASTProviderCore.WAIT_FLAG`
SharedASTProviderCore.`WAIT_YES`
Wait flag indicating that a client requesting an AST wants to wait until an AST is ready.
Methods in org.eclipse.jdt.core.manipulation with parameters of type SharedASTProviderCore.WAIT_FLAG
Modifier and Type
Method
Description
`static CompilationUnit`
SharedASTProviderCore.`getAST(ITypeRoot element, SharedASTProviderCore.WAIT_FLAG waitFlag, IProgressMonitor progressMonitor)`
Returns a compilation unit AST for the given Java element.